<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.ShipIllegalArtificialMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.ShipIllegalArtificial">
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="dtDate" column="DT_DATE" jdbcType="TIMESTAMP"/>
            <result property="index" column="INDEX" jdbcType="DECIMAL"/>
            <result property="pkId" column="PK_ID" jdbcType="VARCHAR"/>
            <result property="stDescription" column="ST_DESCRIPTION" jdbcType="VARCHAR"/>
            <result property="stLossPosition" column="ST_LOSS_POSITION" jdbcType="VARCHAR"/>
            <result property="stNotes" column="ST_NOTES" jdbcType="VARCHAR"/>
            <result property="stShipName" column="ST_SHIP_NAME" jdbcType="VARCHAR"/>
            <result property="stSituation" column="ST_SITUATION" jdbcType="VARCHAR"/>
            <result property="stStopTime" column="ST_STOP_TIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        CREATE_TIME,DT_DATE,INDEX,
        PK_ID,ST_DESCRIPTION,ST_LOSS_POSITION,
        ST_NOTES,ST_SHIP_NAME,ST_SITUATION,
        ST_STOP_TIME
    </sql>
</mapper>
